"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('ignore')
        .setValue('description', 'Just ignore this code.')
        .setValue('use', '$ignore[text]')
        .setValue('returns', 'Void'),
    code: async (d) => {
        if (!d.func?.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func?.name);
        return {
            code: d.code.replace(d.func?.id, '')
        };
    }
};
