"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('isImage')
        .setValue('description', 'Check if an image was loaded.')
        .setValue('use', '$isImage[id]')
        .setValue('returns', 'Boolean'),
    code: async (d) => {
        await d.func?.resolve_fields(d);
        if (!d.func?.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func?.name);
        let v = d._.Images?.[d.func.inside];
        return {
            code: d.code.replace(d.func.id, v?.src ? 'true' : 'false')
        };
    }
};
