"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('math')
        .setValue('description', 'Calculate a math operation.')
        .setValue('use', '$math[operation]')
        .setValue('returns', 'Number'),
    code: async (d) => {
        await d.func?.resolve_fields(d);
        if (!d.func?.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func?.name);
        let final;
        try {
            if (d.func.inside.unescape().replace(/ /g, '').replace(/[\d.*()+-\/]/g, ''))
                return utils_1.Utils.Warn('Invalid operation provided in:', d.func.name);
            final = eval(d.func.inside.unescape().replace(/ /g, ''));
        }
        catch {
            return utils_1.Utils.Warn('Invalid operation provided in:', d.func.name);
        }
        return {
            code: d.code.replace(d.func.id, final)
        };
    }
};
