"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('uppercase')
        .setValue('description', 'Convert a string to uppercase.')
        .setValue('use', '$uppercase[text]')
        .setValue('returns', 'String'),
    code: async (d) => {
        await d.func?.resolve_fields(d);
        return d.func?.inside ? {
            code: d.code.replace(d.func.id, d.func.inside.unescape().toUpperCase().escape())
        } : utils_1.Utils.Warn('Invalid inside provided in:', d.func?.name);
    }
};
