"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
async function _(fn) {
    if (fn.fields) {
        for (let i = 0; i < fn.fields.length; i++) {
            for (let o of fn.fields[i].overs) {
                await _(o);
                fn.fields[i].value = fn.fields[i].value.replace(o.id, o.total);
                fn.inside = fn.inside?.replace(o.id, o.total);
                fn.total = fn.total.replace(o.id, o.total);
            }
            ;
        }
        ;
    }
}
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('createCallback')
        .setValue('description', 'Create a new fuction callable, to call it use $callback')
        .setValue('use', '$createCallback[id;code]')
        .setValue('returns', 'Void'),
    code: async (d) => {
        await d.interpreter.resolve_field(d, 0);
        if (!d.func?.fields || 2 > d.func.fields.length)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func?.name);
        let id = d.func.fields[0].value;
        if (!d._.callbacks)
            d._.callbacks = {};
        await _(d.func);
        d._.callbacks[id.unescape()] = { value: d.func.fields[1].value.unescape() };
        return {
            code: d.code.replace(d.func.id, '')
        };
    }
};
