"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
const util_1 = require("util");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('jsEval')
        .setValue('description', 'Eval a js code.')
        .setValue('use', '$jsEval[return(true/false);code]')
        .setValue('returns', 'Any'),
    code: async (d) => {
        await d.func?.resolve_fields(d);
        const util = utils_1.Utils;
        if (!d.func?.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func?.name);
        let returns = utils_1.Utils.booleanify(d.func.fields.map(({ value }) => value)[0]);
        if (d.func.fields.length < 2)
            return utils_1.Utils.Warn('Invalid fields provided in:', d.func.name);
        let result;
        try {
            result = await eval(d.func.fields.map(({ value }) => value).slice(1).join(';').unescape());
        }
        catch (e) {
            return utils_1.Utils.Warn(`Unexpected error: ${e} in:`, d.func.name);
        }
        result = returns ? typeof result === 'object' ? (0, util_1.inspect)(result, { depth: 0 }) : result?.toString() || 'undefined' : '';
        return {
            code: d.code.replace(d.func.id, result)
        };
    }
};
