"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('log')
        .setValue('description', 'Log something in console.')
        .setValue('use', '$log[...text]')
        .setValue('returns', 'Void'),
    code: async (d) => {
        await d.func?.resolve_fields(d);
        if (!d.func?.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func?.name);
        let arr = d.func.fields.map(({ value }) => utils_1.Utils.parse(value.unescape()));
        console.log(...arr);
        return {
            code: d.code.replace(d.func.id, '')
        };
    }
};
