"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
const path_1 = require("path");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('root')
        .setValue('description', 'Join your files name to the process cwd.')
        .setValue('use', '$root[...files]')
        .setValue('returns', 'String'),
    code: async (d) => {
        await d.func?.resolve_fields(d);
        if (!d.func?.inside)
            return utils_1.Utils.Warn('Invalid splits provided in:', d.func?.name);
        let result = (0, path_1.join)(process.cwd(), ...d.func.fields.map(({ value }) => value));
        return {
            code: d.code.replace(d.func.id, result)
        };
    }
};
